org.apache.sling.superimposing.impl

## Class SuperimposingResourceProviderImpl

- java.lang.Object
- - org.apache.sling.superimposing.impl.SuperimposingResourceProviderImpl

All Implemented Interfaces:
  org.apache.sling.api.resource.ResourceProvider, SuperimposingResourceProvider

    public class SuperimposingResourceProviderImpl
    extends Object
    implements SuperimposingResourceProvider

Superimposing resource provider. Maps a single source path to the target root path, with or without overlay depending on configuration.

### Field Summary

### Fields inherited from interface org.apache.sling.superimposing.SuperimposingResourceProvider

`MIXIN_SUPERIMPOSE, PROP_SUPERIMPOSE_OVERLAYABLE, PROP_SUPERIMPOSE_REGISTER_PARENT, PROP_SUPERIMPOSE_SOURCE_PATH`

### Fields inherited from interface org.apache.sling.api.resource.ResourceProvider

`RESOURCE_TYPE_SYNTHETIC, ROOTS, SERVICE_NAME`

### Method Summary

Methods
`boolean` `equals(Object o)`
`org.apache.sling.api.resource.Resource` `getResource(org.apache.sling.api.resource.ResourceResolver resolver, javax.servlet.http.HttpServletRequest httpServletRequest, String path)`
`org.apache.sling.api.resource.Resource` `getResource(org.apache.sling.api.resource.ResourceResolver resolver, String path)`
`String` `getRootPath()`
`String` `getSourcePath()`
`boolean` `isOverlayable()`
`Iterator<org.apache.sling.api.resource.Resource>` `listChildren(org.apache.sling.api.resource.Resource resource)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getResource

    public org.apache.sling.api.resource.Resource getResource(org.apache.sling.api.resource.ResourceResolver resolver,
                                                     javax.servlet.http.HttpServletRequest httpServletRequest,
                                                     String path)

Specified by:
  `getResource` in interface `org.apache.sling.api.resource.ResourceProvider`

#### getResource

    public org.apache.sling.api.resource.Resource getResource(org.apache.sling.api.resource.ResourceResolver resolver,
                                                     String path)

Specified by:
  `getResource` in interface `org.apache.sling.api.resource.ResourceProvider`

#### listChildren

    public Iterator<org.apache.sling.api.resource.Resource> listChildren(org.apache.sling.api.resource.Resource resource)

Specified by:
  `listChildren` in interface `org.apache.sling.api.resource.ResourceProvider`

#### getRootPath

    public String getRootPath()

Specified by:
  `getRootPath` in interface `SuperimposingResourceProvider`
Returns:
  Root path (source path)

#### getSourcePath

    public String getSourcePath()

Specified by:
  `getSourcePath` in interface `SuperimposingResourceProvider`
Returns:
  Target path (destination path)

#### isOverlayable

    public boolean isOverlayable()

Specified by:
  `isOverlayable` in interface `SuperimposingResourceProvider`
Returns:
  Overlayable yes/no

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`